package cn.fw.morax.common.constant;

/**
 * 定时任务
 */
public class TimeTaskConstant {

    /**
     * 绩效组定时器   每个月1号凌晨3点
     */
    public static final String KPI_GROUP = "0 0 3 1 * ?";

    /**
     * 考评定时器   每天凌晨3点
     */
    public static final String EVAL = "0 0 3 * * ?";

    /**
     * 考评组奖惩分配   每天凌晨10点
     */
    public static final String EVAL_GROUP_REWARD_DISTRIBUTION = "0 0 0 10 * ?";

    /**
     * 绩效组人员定时器 每天凌晨10分
     */
    public static final String KPI_GROUP_USER = "0 10 0 * * ?";

    /**
     * 考评组人员定时器 每天凌晨10分
     */
    public static final String EVAL_GROUP_USER = "0 10 0 * * ?";

    /**
     * 绩效星级特殊调整 每月1号6点执行
     */
    public static final String KPI_STAR_SPECIAL_RULE = "0 0 6 1 * ?";


    /**
     * 缓存计算绩效组得分定时器       绩效组人员数据上报完成后
     */
    public static final String CACHE_CALCULATE_KPI_GROUP = "0 0 4 * * ?";

    /**
     * 缓存计算绩效排名包定时器       绩效组人员数据上报完成后
     */
    public static final String CACHE_CALCULATE_KPI_GROUP_RANK = "0 0 5 * * ?";

    /**
     * 薪酬组人员定时器     每天凌晨1点
     */
    public static final String SALARY_GROUP_USER = "0 0 1 * * ?";

    /**
     * 缓存计算薪酬组得分定时器     每天凌晨5点，绩效得分计算完成后
     */
    public static final String CACHE_CALCULATE_SALARY_GROUP = "0 0 6 * * ?";

    /**
     * 薪酬组定时器   每个月1号凌晨3点
     */
    public static final String SALARY_GROUP = "0 0 3 1 * ?";

    /**
     * 薪酬池写入社保公积金门店 每个月1号凌晨3点
     */
    public static final String SALARY_POOL_FUND_SHOP = "0 0 3 1 * ?";

    /**
     * 薪酬确认待办   每隔两小时
     */
    public static final String SALARY_CONFIRM_TODO = "1 0 0/2 * * ?";

    /**
     * 绩效报表定时器   每天凌晨8点
     */
    public static final String KPI_REPORT = "0 0 8 * * ?";
    /**
     * 薪酬报表定时器   每天凌晨8点
     */
    public static final String SALARY_REPORT = "0 0 8 * * ?";

    /**
     * 缓存计算考评组得分定时器       考评人员数据上报完成后
     */
    public static final String CACHE_CALCULATE_EVAL_GROUP = "0 0 4 * * ?";


}
