package cn.fw.morax.common.pojo.event;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.YearMonth;

@Data
@Builder
public class ImportEvalIndicatorEvent {

    /**
     * 考评指标
     */
    private String code;
    /**
     * 考评指标导入记录id
     */
    private Long evalIndicatorImportRecordId;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 数据日期
     */
    private LocalDate dataDate;


    public ImportEvalIndicatorEvent() {
    }

    public ImportEvalIndicatorEvent(String code, Long evalIndicatorImportRecordId, Long groupId, LocalDate dataDate) {
        this.code = code;
        this.evalIndicatorImportRecordId = evalIndicatorImportRecordId;
        this.groupId = groupId;
        this.dataDate = dataDate;
    }
}
