package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalGroupRewardPreconditionHitLog;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorPreconditionVO;
import cn.fw.morax.domain.vo.eval.EvalGroupRewardPreconditionVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评奖惩条件记录 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupRewardPreconditionHitLogDao extends BaseMapper<EvalGroupRewardPreconditionHitLog> {

    List<EvalGroupRewardPreconditionVO> getHitVos(@Param("poolId") Long poolId,
                                                  @Param("evalGroupRewardId") Long evalGroupRewardId,
                                                  @Param("dataDate") LocalDate dataDate,
                                                  @Param("scopeType") Integer scopeType);

}
