package cn.fw.morax.dao.kpi;


import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorPrecondition;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorPreconditionVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 绩效组指标条件 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Repository
public interface KpiGroupIndicatorPreconditionDao extends BaseMapper<KpiGroupIndicatorPrecondition> {


    List<KpiGroupIndicatorPreconditionVO> getHitVos(@Param("kpiGroupIndicatorId") Long kpiGroupIndicatorId,
                                                    @Param("userId") Long userId,
                                                    @Param("dataDate") LocalDate dataDate);
}
