package cn.fw.morax.domain.bo.salary;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryGroupCalculableBO
 * @description : 可计算薪酬的薪酬组bo
 * @date : 2022-04-25 17:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SalaryGroupCalculableBO {
    private Long salaryGroupId;
    private LocalDate localDate;
    private Boolean calcTotal;
}
