package cn.fw.morax.domain.vo.eval;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author jiangchao
 * @des: 考评指标上报
 * @date 2023/2/8 16:21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalReportVO {

    /**
     * 人员信息
     */
    private List<EvalIndicatorImportUserVO> users;

    /**
     * 门店信息
     */
    private List<EvalShopVO> shops;

}
