package cn.fw.morax.domain.vo.eval;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author jiangchao
 * @des: 考评门店
 * @date 2023/2/8 16:22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalShopVO {

    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 在职门店
     */
    private String shopName;

    /**
     * 是否上报数据
     */
    private Boolean report;

    public EvalShopVO() {
    }

    public EvalShopVO(Long shopId, String shopName) {
        this.shopId = shopId;
        this.shopName = shopName;
    }
}
