package cn.fw.morax.domain.vo.salary;

import lombok.Data;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬通用设置
 */
@Data
public class SalaryGeneralSettinVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 管理层可见
     */
    private Boolean leaderVisibility;
    /**
     * 可申诉开始日期;
     */
    private String startDateOfAppeal;
    /**
     * 可申诉结束日期;
     */
    private String endDateOfAppeal;
    /**
     * 薪资发放日期;取值1-28（每月）
     */
    private Integer payoffDate;
    /**
     * 薪资发放公户限额;元 0元则不限制
     */
    private Integer payoffLimit;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}