package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalPoolRewardDetail;
import cn.fw.morax.domain.vo.eval.EvalPoolIndicatorDetailVO;
import cn.fw.morax.domain.vo.eval.EvalPoolRewardDetailVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评明细 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-11
 */
public interface EvalPoolRewardDetailService extends IService<EvalPoolRewardDetail> {

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupId
     * @param localDate
     * @return
     */
    List<EvalPoolRewardDetailVO> getStaffRewardValues(Long evalPoolId,
                                                      Long evalGroupId,
                                                      LocalDate localDate);

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupRewardId
     * @param localDate
     * @return
     */
    EvalPoolRewardDetailVO getStaffRewardValue(Long evalPoolId,
                                                  Long evalGroupRewardId,
                                                  LocalDate localDate);

}
