package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupIndicatorTargetHitLogDao;
import cn.fw.morax.dao.eval.EvalGroupRewardTargetHitLogDao;
import cn.fw.morax.domain.db.eval.EvalGroupIndicatorTargetHitLog;
import cn.fw.morax.domain.db.eval.EvalGroupRewardTargetHitLog;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupRewardTargetHitLogVO;
import cn.fw.morax.service.data.eval.EvalGroupIndicatorTargetHitLogService;
import cn.fw.morax.service.data.eval.EvalGroupRewardTargetHitLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评指标达成目标记录 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupRewardTargetHitLogServiceImpl
        extends ServiceImpl<EvalGroupRewardTargetHitLogDao, EvalGroupRewardTargetHitLog>
        implements EvalGroupRewardTargetHitLogService {

    @Override
    public List<EvalGroupRewardTargetHitLogVO> getIndicatorData(Long referId, YearMonth monthly, IndicatorTypeEnum targetType, Set<Long> poolIds, EvalScopeEnum evalScope) {
        return this.baseMapper.getIndicatorData(referId, monthly, targetType, poolIds, evalScope.getValue());
    }
}
