package cn.fw.morax.service.data.eval.impl;

import cn.fw.morax.dao.eval.EvalIndicatorImportDetailDao;
import cn.fw.morax.dao.eval.EvalIndicatorImportRecordDao;
import cn.fw.morax.domain.db.eval.EvalIndicatorImportDetail;
import cn.fw.morax.domain.db.eval.EvalIndicatorImportRecord;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import cn.fw.morax.service.data.eval.EvalIndicatorImportDetailService;
import cn.fw.morax.service.data.eval.EvalIndicatorImportRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标导入记录 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2023-01-30
 */
@Service
public class EvalIndicatorImportDetailServiceImpl extends ServiceImpl<EvalIndicatorImportDetailDao, EvalIndicatorImportDetail>
        implements EvalIndicatorImportDetailService {

    @Override
    public List<EvalIndicatorImportDetail> getLastUserValue(Long recordId) {
        return this.baseMapper.getUserLastValue(recordId);
    }

    @Override
    public List<EvalIndicatorImportDetail> getLastShopValue(Long recordId) {
        return this.baseMapper.getShopLastValue(recordId);
    }
}
