package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorHitLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * 指标配置命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorHitLogService
 * @description : 指标配置命中记录
 * @date : 2022-12-15 10:07
 */
public interface KpiGroupIndicatorHitLogService extends IService<KpiGroupIndicatorHitLog> {
    /**
     * 保存数据存在则覆盖
     *
     * @param kpiGroupIndicatorHitLog
     */
    void saveUnique(KpiGroupIndicatorHitLog kpiGroupIndicatorHitLog);

    /**
     * 根据绩效池id、绩效id查询
     *
     * @param userId
     * @param groupIndicatorIds 绩效组配置指标ids
     * @param localDate
     * @return
     */
    List<KpiGroupIndicatorHitLog> queryByIndicatorIds(Long userId, List<Long> groupIndicatorIds, LocalDate localDate);
}
