package cn.fw.morax.service.data.kpi;


import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorParam;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorParamVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 绩效组指标参数 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
public interface KpiGroupIndicatorParamService extends IService<KpiGroupIndicatorParam> {

    Map<Long, List<KpiGroupIndicatorParamVO>> getKpiGroupParamMap(Long kpiGroupId);

    List<KpiGroupIndicatorParamVO> getKpiGroupIndicatorParamVos(Long kpiGroupIndicatorId);
}
