package cn.fw.morax.service.data.kpi;


import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorPrecondition;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorPreconditionVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 绩效组指标条件 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
public interface KpiGroupIndicatorPreconditionService extends IService<KpiGroupIndicatorPrecondition> {

    Map<Long, List<KpiGroupIndicatorPreconditionVO>> getKpiGroupIndicatorCondVO(Long kpiGroupId);

    /**
     * 获取命中记录
     *
     * @param kpiGroupIndicatorId
     * @param userId
     * @param localDate
     * @return
     */
    List<KpiGroupIndicatorPreconditionVO> getHitVos(Long kpiGroupIndicatorId, Long userId, LocalDate localDate);
}
