package cn.fw.morax.service.data.salary;


import cn.fw.morax.domain.db.salary.IncomeCompensation;
import cn.fw.morax.domain.db.salary.IncomeCompensationList;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 收入补偿 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
public interface IncomeCompensationListService extends IService<IncomeCompensationList> {

    /**
     * 获取重复配置
     *
     * @param postId
     * @param shopIds
     * @return
     */
    List<IncomeCompensationList> getRepeatConfigs(Long postId, List<Long> shopIds, List<String> yearMonths);


}
