package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.common.utils.DateUtil;
import cn.fw.morax.dao.salary.SalaryGroupProjectSettinDao;
import cn.fw.morax.domain.db.salary.SalaryGroupProjectSettin;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectSettinVO;
import cn.fw.morax.service.data.salary.SalaryGroupProjectSettinService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryGroupProjectSettinServiceImpl
 * @description : 薪酬项目配置
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryGroupProjectSettinServiceImpl extends ServiceImpl<SalaryGroupProjectSettinDao, SalaryGroupProjectSettin> implements SalaryGroupProjectSettinService {


    @Override
    public List<SalaryGroupProjectSettinVO> getHitSettings(Long salaryPoolId, Long salaryGroupProjectId, LocalDate localDate) {

        return this.baseMapper.getHitSettings(salaryPoolId, salaryGroupProjectId, DateUtil.localDate2Date(localDate));
    }
}
