-- 2023年3月7日
ALTER TABLE `fw_morax`.`eval_group_reward_ladders`
    ADD COLUMN `rank_order_type` tinyint(4) NULL DEFAULT 1 COMMENT '排名顺序类型 1：正  2：负' AFTER `upper`;

CREATE TABLE `eval_group_reward_rank_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `pool_id` bigint(20) DEFAULT NULL COMMENT '人员id 、门店id',
  `scope_type` tinyint(4) NOT NULL COMMENT '考评范围; 1:门店考评 2:人员考评',
  `refer_id` bigint(20) DEFAULT NULL COMMENT '考评奖惩 前置条件 配置id',
  `target_type` tinyint(4) DEFAULT NULL COMMENT '1:参数 2:前置条件',
  `value` decimal(18,4) DEFAULT NULL COMMENT '原始值',
  `reach_value` decimal(18,4) DEFAULT NULL COMMENT '达成目标',
  `rank` int(10) DEFAULT NULL COMMENT '排名',
  `data_date` date NOT NULL COMMENT '数据日期',
  `group_id` bigint(20) NOT NULL COMMENT '集团',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `yn` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='考评指标达成目标记录';