package cn.fw.morax.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "flow")
public class FlowVal {

    /**
     * 绩效组修改审批
     */
    private String kpiGroupConfig;

    /**
     * 薪酬组修改审批
     */
    private String salaryGroupConfig;

    /**
     * 绩效星级特殊调整
     */
    private String kpiStarAdjustment;

    /**
     * 绩效组修改审批
     */
    private String incomeCompensationConfig;

    /**
     * 考评组修改审批
     */
    private String evalGroupConfig;

    /**
     * 门店奖惩审批
     */
    private String evalShopReward;

}
