package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalGroupIndicatorPrecondition;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorPreconditionVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评组指标条件 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorPreconditionDao extends BaseMapper<EvalGroupIndicatorPrecondition> {

    List<EvalGroupIndicatorPreconditionVO> getHitVos(@Param("poolId") Long poolId,
                                                        @Param("evalGroupIndicatorId") Long evalGroupIndicatorId,
                                                        @Param("dataDate") LocalDate dataDate,
                                                        @Param("scopeType") Integer scopeType);


}
