package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalGroupIndicatorTargetHitLog;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorTargetHitLogVO;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评指标达成目标记录 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorTargetHitLogDao extends BaseMapper<EvalGroupIndicatorTargetHitLog> {

    List<EvalGroupIndicatorTargetHitLogVO> getIndicatorData(@Param("referId") Long referId,
                                                            @Param("monthly") YearMonth monthly,
                                                            @Param("targetType") Integer targetType,
                                                            @Param("poolIds") Set<Long> poolIds,
                                                            @Param("scopeType") Integer scopeType);
}
