package cn.fw.morax.domain.dto.eval;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 考评池
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalRewardDistDTO {


    /**
     * 分配d
     */
    @NotNull(message = "分配d不能为空")
    private Long evalShopDistId;

    /**
     * 集团id
     */
    @Valid
    private List<EvalRewardDistDetailDTO> users;



}
