package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;

import java.time.YearMonth;

@Data
public class PaySalaryQueryDTO extends BasePageQuery {

    /**
     * 岗位id
     */
    private YearMonth yearMonth;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.USER_ID)
    private Long userId;

}
