package cn.fw.morax.domain.dto.query;

import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class SalaryGroupStaffQueryDTO {

    /**
     * 门店id
     */
    @NotNull(message = "门店id不能为空")
    private List<Long> shopIds;

    /**
     * 岗位id
     */
    @NotNull(message = "岗位id不能为空")
    private Long postId;

    /**
     * 集团id
     */
    private Long KpiGroupId;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

    /**
     * 员工名称
     */
    private String staffName;

}
