package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.common.annotation.ExcelField;
import lombok.Data;

@Data
public class ShopIndicatorValueVO {

    /**
     * 归属门店
     */
    @ExcelField(title = "归属门店", sort = 0, charSize = 16)
    private String shopName;

    /**
     * 指标名称
     */
    @ExcelField(title = "指标名称", sort = 1, charSize = 16)
    private String indicatorName;

    /**
     * 指标值
     */
    @ExcelField(title = "指标值", sort = 2, charSize = 16)
    private String indicatorValue;

    /**
     * 考核周期
     */
    @ExcelField(title = "考核周期", sort = 3, charSize = 16)
    private String dataDate;


}
