package cn.fw.morax.rpc.ehr.dto;

import cn.fw.ehr.sdk.api.result.ManagerStaffVo;
import cn.fw.ehr.sdk.api.result.StaffBaseInfo;
import lombok.Data;

import java.util.List;

/**
 * @author jiangchao
 * @des: 管理层
 * @date 2022/11/29 11:17
 */
@Data
public class ManagerDTO {

    /**
     * 员工id
     */
    private Long staffId;

    /**
     * 员工名
     */
    private String staffName;

    /**
     * 管理范围
     */
    private List<ManagerStaffDTO> scopeList;

    /**
     * 管理员工列表
     */
    private List<StaffBaseInfoDTO> manageStaffList;

}
