package cn.fw.morax.service.data;

import cn.fw.morax.domain.db.ApprovalRecord;
import cn.fw.morax.domain.db.kpi.KpiStarLadders;
import cn.fw.morax.domain.enums.ApprovalTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface ApprovalRecordService extends IService<ApprovalRecord> {

    /**
     * 获取dataId最新的一次审批记录
     *
     * @param dataIds
     * @param approvalType
     * @return
     */
    List<ApprovalRecord> getLastApprovals(List<Long> dataIds, ApprovalTypeEnum approvalType);

}
