package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroupIndicatorPreconditionLadders;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorPreconditionLaddersVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 考评组指标条件得分阶梯 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorPreconditionLaddersService extends IService<EvalGroupIndicatorPreconditionLadders> {

    /**
     * 获取条件阶梯
     *
     * @param preconditionId
     * @param targetType
     * @param dataType
     * @return
     */
    List<EvalGroupIndicatorPreconditionLaddersVO> getVOS(Long preconditionId, TargetTypeEnum targetType, DataTypeEnum dataType);
}
