package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroupIndicatorPrecondition;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorPreconditionVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评组指标条件 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorPreconditionService extends IService<EvalGroupIndicatorPrecondition> {

    /**
     * 查询条件 已处理占比、目标值百分数
     * @param poolId
     * @param evalGroupIndicatorId
     * @return
     */
    List<EvalGroupIndicatorPreconditionVO> getConds(Long poolId, EvalScopeEnum scopeType, Long evalGroupIndicatorId, LocalDate dataDate);

}
