package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroupRewardPreconditionHitLog;
import cn.fw.morax.domain.enums.DataScopeTypeEnum;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupRewardPreconditionVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评奖惩条件记录 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupRewardPreconditionHitLogService extends IService<EvalGroupRewardPreconditionHitLog> {

    List<EvalGroupRewardPreconditionVO> getHitVos(Long poolId,
                                                  EvalScopeEnum scopeType,
                                                  Long evalGroupRewardId,
                                                  LocalDate dataDate);

}
