package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalShopPool;
import cn.fw.morax.domain.db.eval.EvalUserPool;
import cn.fw.morax.domain.dto.query.EvalPoolQueryDTO;
import cn.fw.morax.domain.dto.query.KpiPoolQueryDTO;
import cn.fw.morax.domain.vo.eval.EvalUserPoolVO;
import cn.fw.morax.domain.vo.kpi.KpiPoolVO;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 考评池 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalUserPoolService extends IService<EvalUserPool> {

    List<EvalUserPool> getLastPool(YearMonth monthly, Long groupId);

    List<EvalUserPoolVO> getPools(YearMonth monthly, Long userId);

    long queryPagePoolTotal(EvalPoolQueryDTO dto);

    /**
     * 考评池分页查询
     *
     * @param dto
     * @return
     */
    List<EvalUserPoolVO> queryPagePool(EvalPoolQueryDTO dto);
}
