package cn.fw.morax.service.data.impl;

import cn.fw.morax.dao.ApprovalRecordDao;
import cn.fw.morax.dao.kpi.KpiStarLaddersDao;
import cn.fw.morax.domain.db.ApprovalRecord;
import cn.fw.morax.domain.db.kpi.KpiStarLadders;
import cn.fw.morax.domain.enums.ApprovalTypeEnum;
import cn.fw.morax.service.data.ApprovalRecordService;
import cn.fw.morax.service.data.kpi.KpiStarLaddersService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
@AllArgsConstructor
public class ApprovalRecordServiceImpl extends ServiceImpl<ApprovalRecordDao, ApprovalRecord> implements ApprovalRecordService {

    @Override
    public List<ApprovalRecord> getLastApprovals(List<Long> dataIds, ApprovalTypeEnum approvalType) {
        return this.baseMapper.getLastApprovals(dataIds, approvalType);
    }
}
