package cn.fw.morax.service.data.kpi;


import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorPreconditionLadders;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorPreconditionLaddersVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 绩效组指标条件得分阶梯 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
public interface KpiGroupIndicatorPreconditionLaddersService extends IService<KpiGroupIndicatorPreconditionLadders> {

    /**
     * 获取百分比化后的阶梯
     *
     * @param preconditionId
     * @param targetType
     * @param dataType
     * @return
     */
    List<KpiGroupIndicatorPreconditionLaddersVO> getVOS(Long preconditionId, TargetTypeEnum targetType, DataTypeEnum dataType);

}
