package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.KpiGroupUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.time.YearMonth;

public interface KpiGroupUserService extends IService<KpiGroupUser> {

    /**
     * 获取某月最近的绩效组人员数据
     *
     * @param kgc
     * @param yearMonth
     * @return
     */
    KpiGroupUser getMonthLastData(String kgc, Long userId, YearMonth yearMonth);
}
