package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiGroupIndicatorDao;
import cn.fw.morax.domain.bo.kpi.KpiIndicatorBO;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicator;
import cn.fw.morax.service.data.kpi.KpiGroupIndicatorService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Set;

/**
 * @author kurisu
 */
@Service
@Slf4j
@AllArgsConstructor
public class KpiGroupIndicatorServiceImpl extends ServiceImpl<KpiGroupIndicatorDao, KpiGroupIndicator> implements KpiGroupIndicatorService {
    @Override
    public Set<KpiIndicatorBO> allIndicators(@NonNull Date dataDate, final Long kpiGroupId) {
        return this.getBaseMapper().allIndicators(dataDate, kpiGroupId);
    }
}
