package cn.fw.morax.service.data.salary;


import cn.fw.morax.domain.db.salary.IncomeCompensation;
import cn.fw.morax.domain.dto.query.IncomeCompensationQueryDTO;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 收入补偿 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
public interface IncomeCompensationService extends IService<IncomeCompensation> {

    /**
     * 获取重复配置
     *
     * @param postId
     * @param shopIds
     * @return
     */
    List<IncomeCompensation> getRepeatConfigs(Long postId, List<Long> shopIds, SettingStatusEnum approveStatus);


}
